Package de.willuhn.jameica.hbci.rmi

# Interface SepaSammelUeberweisung

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `Duplicatable`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SepaPayment`, `SepaSammelTransfer<SepaSammelUeberweisungBuchung>`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `SepaSammelUeberweisungImpl`

public interface SepaSammelUeberweisung extends SepaSammelTransfer<SepaSammelUeberweisungBuchung>
Interface fuer SEPA-Sammelueberweisungen.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isTerminUeberweisung()`
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.
`void`
`setTerminUeberweisung(boolean termin)`
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaPayment

`getPmtInfId, setPmtInfId`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransfer

`createBuchung, getBezeichnung, getBuchungen, getKonto, getSumme, setBezeichnung, setKonto`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Method Details

### isTerminUeberweisung

boolean isTerminUeberweisung() throws RemoteException
Prueft, ob es sich um einen bankseitige Termin-Ueberweisung handelt.

Returns:
  true, wenn es eine bankseitige Termin-Ueberweisung ist.
Throws:
  `RemoteException`

### setTerminUeberweisung

void setTerminUeberweisung(boolean termin) throws RemoteException
Legt fest, ob es sich um eine bankseitige Termin-Ueberweisung handelt.

Parameters:
  `termin` - true, wenn es eine bankseitige Terminueberweisung sein soll.
Throws:
  `RemoteException`